WordPress.org

Ready to get started?Download WordPress

Forums

Homepage sliders no longer working upon upgrade to 3.5 (7 posts)

  1. yourbusybee
    Member
    Posted 1 year ago #

    Hi there,
    I had a development site working great on v. 3.4.2, went to move it live today, and decided to update WP at the same time. Everything else works great, except for the NivoSlider widget for my homepage. I need *some*thing there in the meantime so I've just put a single image. But in searching for a replacement slider widget, I couldn't find any that are tested and approved for 3.5. Any ideas? This is very VERY frustrating!

    Thanks in advance.

    ~Laura

  2. yourbusybee
    Member
    Posted 1 year ago #

    *bump*

    Am I the only person having trouble with this?

  3. yourbusybee
    Member
    Posted 1 year ago #

    If a link to the site is necessary, here it is: icesportswear.com, but since the slider widget isn't working and I have just a single image placeholder there right now, I'm not sure it's going to be terribly helpful.

  4. Your theme or a plugin is loading an old version of jQuery along with the default version that comes with WordPress. This is causing a conflict with jQuery UI which requires the jQuery that ships with WordPress and since the older version of jQuery is loaded last it overrides the correct version.

  5. yourbusybee
    Member
    Posted 1 year ago #

    Hmmmm...
    Ok. Forgive me, but I'm a little bit lost. JS isn't a strong-suit of mine. Based on what you say, I'm guessing that one of the js files from the Nivo slider plugin is the culprit. But there doesn't seem to be one just called jQuery, so I'm not sure what to disable, or what I should call instead.

  6. oliviasolis
    Member
    Posted 1 year ago #

    is there is a way to tell the theme to use the old jQuery ? it might sound stupid but maybe is a simple code on function.php (hope so or I wish :)

  7. You need to be using the latest version of nivo slider js, http://nivo.dev7studios.com/2013/01/16/nivo-slider-3-2/. This is the only version compatible with the latest version of jQuery WordPress ships with.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags